#
# spec file for package yast2-ntp-client (Version 2.13.17)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-slp yast2-testsuite zlib zlib-devel

Name:           yast2-ntp-client
Version:        2.13.17
Release:        0.10
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-ntp-client-2.13.17.tar.bz2
prefix:		/usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-slp yast2-testsuite
Requires:       yast2 yast2-slp yast2-country
BuildArchitectures:	noarch
Summary:        YaST2 - NTP Client Configuration

%description
This package contains the YaST2 component for NTP client configuration.



Authors:
--------
    Jiri Srain <jsrain@suse.cz>

%debug_package
%prep
%setup -n yast2-ntp-client-2.13.17

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/ntp-client
/usr/share/YaST2/include/ntp-client/*
/usr/share/YaST2/clients/ntp-client.ycp
/usr/share/YaST2/clients/ntp-client_*.ycp
/usr/share/YaST2/scrconf/cfg_ntp.scr
/usr/share/YaST2/scrconf/etc_ntp.scr
/usr/share/YaST2/modules/*.y*
%{prefix}/share/applications/YaST2/ntp-client.desktop
/usr/share/YaST2/data/ntp_servers.ycp
%doc %{prefix}/share/doc/packages/yast2-ntp-client
/usr/share/YaST2/schema/autoyast/rnc/ntpclient.rnc

%changelog
* Tue Feb 06 2007 - kmachalkova@suse.cz
- Merged 'Great Britain' and 'UK' public ntp server lists (#241054)
- 2.13.17
* Mon Jan 22 2007 - kmachalkova@suse.cz
- Correct handling of switching between simple and advanced config
  (display current server entries in server table) (#230240)
- Updated obsolete help text
- 2.13.16
* Fri Nov 10 2006 - kmachalkova@suse.cz
- Don't forget to store type of ntp record (simple config -> server)
  (#216456)
- 2.13.15
* Mon Nov 06 2006 - kmachalkova@suse.cz
- Set ActiveDirectory DC as a default time server when called from
  samba-client
- 2.13.14
* Mon Oct 30 2006 - kmachalkova@suse.cz
- Improved Autoyast profile validation (ntpclient.rnc moved from
  autoyast package (#215248)
- Always set NTP_INITIAL_NTPDATE to AUTO if ntp.conf is modified
  via DHCP
- 2.13.13
* Wed Aug 02 2006 - locilka@suse.cz
- Complex configuration renamed to Advanced configuration (#179476)
* Tue Jul 18 2006 - locilka@suse.cz
- NTP Client renamed to NTP Configuration because one can also
  configure an NTP Server here (#173411).
- 2.13.12
* Mon May 22 2006 - locilka@suse.cz
- When switchich to the complex configuration or saving the simple
  configuration, current server was allways re-added with
  initial_sync==true even if there was no reason to change
  the current value of initial_sync (#177575).
- Remember all servers correctly when random pool servers are
  selected (#177570).
- 2.13.11
* Thu May 18 2006 - locilka@suse.cz
- Do not report the empty server address when switching to the
  Complex configuration (#176581).
- Fixed behavior when switching to the complex configuration with
  no server address defined before. Sometimes it deleted the local
  clock entry.
- 2.13.10
* Thu May 11 2006 - locilka@suse.cz
- Adjusting ntp_conf rw agent to be able to understand additional
  comments on the same line where are already some entries written
  (#172589).
- 2.13.9
* Wed Apr 26 2006 - locilka@suse.cz
- Check and store the changed address record when switching from
  the simple to the complex configuration (#169206).
- 2.13.8
* Thu Apr 13 2006 - locilka@suse.cz
- Leaving the 'initial_sync' and 'options' for pool.ntp.org feature
  without change when user has previously changed them (#165852).
- 2.13.7
* Tue Apr 11 2006 - locilka@suse.cz
- Switching from simple to complex configuration was eating server
  entries (#165149).
- 2.13.6
* Thu Mar 23 2006 - locilka@suse.cz
- Added checking for root permissions into the module startup
  process (#158483)
- 2.13.5
* Mon Mar 13 2006 - locilka@suse.cz
- fixed bug #155325, problems with widgets around random pool
  servers feature
- 2.13.4
* Fri Mar 10 2006 - locilka@suse.cz
- merged texts from proofread
- 2.14.3
* Mon Mar 06 2006 - locilk@suse.cz
- Adjusted BuildRequires for package
- 2.14.2
* Fri Jan 27 2006 - locilka@suse.cz
- merged texts from proofread
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged texts from proofread
- 2.13.1
* Thu Nov 03 2005 - locilka@suse.cz
- Added enhancement #114268
  Selection of public servers newly contains
  $country_shortname.pool.ntp.org for every state known for YaST.
- Added enhancement #105300
  New checkbox for adding 3 'random' servers from pool.ntp.org
  which adds [0|1|2].pool.ntp.org servers. These servers names
  change their IP (and physical destination) every hour.
- Generated and tested new set of public NTP servers.
- Fixed scropt for generating set of public servers not to contain
  HTML tags in server name and location.
- 2.13.0
* Tue Aug 16 2005 - locilka@suse.cz
- Fixed bug #104907
  Server selected from one of found with the Lookup function had
  been returned as the string "server".
- Fixed bug #104906
  Now it is possible to save the configuration when
  start ntp: "never" is selected and no server has been choosen.
- 2.12.6
* Tue Aug 16 2005 - locilka@suse.cz
- Merged proofread texts
* Fri Aug 12 2005 - locilka@suse.cz
- ComboBox for selecting a public NTP server has at least 40
  characters. Helpful for ncurses. Bug #97184
- 2.12.5
* Tue Aug 09 2005 - locilka@suse.cz
- Fixing bug #102993
  NTP server textentry is not checked when switching to the complex
  configuration
- 2.12.4
* Wed Aug 03 2005 - locilka@suse.cz
- Changed the last "xntpd" to "ntp"
- Changed SCR agent for xntpd to ntp
- Changed sysconfig variables XNTPD to NTPD
- Fixed testsuites
- Changed sysconfig/network/dhcp.DHCLIENT_MODIFY_NTPD_CONF to the
  DHCLIENT_MODIFY_NTP_CONF
- Fixed a typo in help
- Fixed testsuites (xntp -> ntp)
- 2.12.3
* Thu Jul 28 2005 - locilka@suse.cz
- Changed service name "xntpd" to "ntp"
- Updated .desktop file
- 2.12.2
* Tue Jul 19 2005 - locilka@suse.cz
- Fixing some help texts to match exactly the dialog widget names
- Fixing complains in y2log about converting 'true' to integer
  during Radio Clock symlink configuration
* Thu May 19 2005 - locilka@suse.cz
- Fixing "Save and Restart" function not to produce Progress errors
- Changing labels, headlines, names. Major changes:
  Broadcast -> Outgoing Broadcast
  Accepting Broadcasts -> Incoming Broadcast
- Replacing "Select NTP Server" dialog with two popups:
  "Select Local NTP Server" and "Select Public NTP Server"
- Changing texts to be YaST2 Style Guide Compatible
- 2.12.1
* Tue May 17 2005 - locilka@suse.cz
- Fixing bug #83918
  NTP Client could freeze during saving the configuration when the
  starting directory of YaST2 ntp-client was a network directory
  and the "Configure via DHCP" option has been unselected.
* Wed May 11 2005 - locilka@suse.cz
- NTP Server entry-checking is ommited when changing the dialog to
  select one from already found or public ones
- Caching Lookup-Servers results
* Mon May 09 2005 - locilka@suse.cz
- Added "Scanning nework" popup which appears during scanning the
  local network for NTP servers
- Added error popups when no servers are found (popup text depends
  on whether SuSEfirewall2 is running)
- Added some missing comments for translators
- 2.12.0
* Thu Mar 31 2005 - locilka@suse.cz
- Fixed bug #74376
  Checking server/peer address entry for existency and rightness
* Wed Mar 16 2005 - locilka@suse.cz
- Fixed bug #73039
  Firewall configuration had never been saved
- Changing maintainer -> locilka
- 2.11.3
* Mon Feb 14 2005 - jsrain@suse.cz
- do not ask to confirm abort if nothing changed (#50743)
- 2.11.2
* Wed Dec 15 2004 - jsrain@suse.cz
- clean-up of neededforbuild and requires
- using generic firewall enabling widget/popup
- using Progress::set
- 2.11.1
* Tue Nov 02 2004 - jsrain@suse.cz
- adapted to new Mode.ycp interface
- 2.11.0
* Tue Oct 19 2004 - jsrain@suse.cz
- using unified messages from Message.ycp/Confirm.ycp/Label.ycp
* Fri Sep 17 2004 - jsrain@suse.cz
- added NTP servers located at "Physikalisch-Technische
  Bundesanstalt" to the list of NTP servers (#45409)
- 2.10.8
* Tue Sep 14 2004 - jsrain@suse.cz
- adapted testsuite to changes in yast2-firewall
- 2.10.7
* Mon Sep 06 2004 - jsrain@suse.cz
- fixed using NTP server detected via SLP
- 2.10.6
* Fri Sep 03 2004 - jsrain@suse.cz
- added GerModified and SetModified functions to _auto client
* Mon Aug 30 2004 - jsrain@suse.cz
- removed duplicated ntp_servers.ycp file
- 2.10.5
* Mon Aug 23 2004 - locilka@suse.cz
- added missing data: ntp_servers
- 2.10.4
* Thu Aug 19 2004 - visnov@suse.cz
- fixed command line return type
- 2.10.3
* Mon Aug 16 2004 - jsrain@suse.cz
- fixed firewall port identification
- 2.10.2
* Tue Aug 10 2004 - jsrain@suse.cz
- merged texts from proofread
* Mon Aug 09 2004 - jsrain@suse.cz
- adapted to the new firewall interface
- updated to changes in CWM
- split the UI and backend (the border wasn't clear)
- 2.10.1
* Tue Aug 03 2004 - jsrain@suse.cz
- updated helps
- updated comments to functions and texts fro translations
- other updates
* Fri Jul 30 2004 - jsrain@suse.cz
- UI updates
* Thu Jul 29 2004 - jsrain@suse.cz
- added a list of NTP servers and offering to select one of them
- added support for configuring via DHCP
- 2.10.0
* Mon Jul 19 2004 - jsrain@suse.cz
- use common function for checking installed packages (#30872)
* Mon Jun 21 2004 - jsrain@suse.cz
- fixed saving of options to /etc/ntp.conf (#42199)
* Sun May 30 2004 - nashif@suse.de
- Honor old syntax when importing (#41379)
- 2.9.13
* Fri May 21 2004 - jsrain@suse.cz
- dont complain about missing packages when cloning (nashif)
- 2.9.12
* Tue May 04 2004 - jsrain@suse.cz
- merged texts from proofread
- 2.9.11
* Thu Apr 08 2004 - jsrain@suse.cz
- fixed texts of menu button in the log display dialog (#38522)
* Fri Apr 02 2004 - jsrain@suse.de
- changed version to GPL
- 2.9.10
* Tue Mar 30 2004 - jsrain@suse.de
- fixed typo in variable name
- 2.9.9
* Fri Mar 26 2004 - jsrain@suse.de
- added missing textdomain, added missing comments for translators
* Mon Mar 15 2004 - jsrain@suse.cz
- fixed parsing of configuration files with comments on the same
  line as option (eg. server ntp.example.com #comment) (#35818)
- fixed saving address of the NTP server from the simple dialog
- added support for lookup NTP servers via SLP
- reduced VSpacings in order to fit in new wizard
- not asking for confirmation when set NTP service on if at least
  one network interface started on boot found (#35487)
- fixed handling of `abort event
- 2.9.8
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.7
- Migration to new wizard
* Tue Mar 09 2004 - jsrain@suse.de
- Require -> Package
- using Sequencer module
* Mon Mar 08 2004 - jsrain@suse.de
- setting icon
- 2.9.6
* Fri Mar 05 2004 - jsrain@suse.de
- types fixes
- 2.9.5
* Wed Mar 03 2004 - jsrain@suse.de
- fixed testsuite
- 2.9.4
* Mon Mar 01 2004 - jsrain@suse.de
- fixed displaying NTP summary
- merged texts from proofread
- more strict data types
- 2.9.3
* Mon Feb 16 2004 - jsrain@suse.de
- syntax fix of abort checking (in order to build)
- 2.9.2
* Tue Feb 10 2004 - jsrain@suse.de
- dropped .y2cc file
- 2.9.1
* Thu Jan 22 2004 - jsrain@suse.de
- added displaying of NTP daemon's log
- added firewall settin support
- 2.9.0
* Wed Jan 21 2004 - jsrain@suse.de
- updated for the new interpreter
- added support for command line interface
* Thu Sep 25 2003 - jsrain@suse.de
- typos fixed (#30274)
* Thu Sep 11 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Wed Sep 10 2003 - jsrain@suse.de
- stopping XNTP daemon when set to never start it automatically
  (30358)
- 2.8.9
* Fri Sep 05 2003 - jsrain@suse.de
- merged texts from proofread
- 2.8.8
* Tue Sep 02 2003 - jsrain@suse.de
- marked missed texts for translation
- fixed translation of exit without saving popup (was evaluated in
  incorect textdomain)
* Mon Sep 01 2003 - jsrain@suse.de
- separated "Type of entry to add" popup to extra dialog and added
  some help to the entries (#29669)
- 2.8.7
* Fri Aug 29 2003 - jsrain@suse.de
- improved helps (#29379)
- displaying correctly local CMOS clock (#29422)
- 2.8.6
* Mon Aug 25 2003 - jsrain@suse.de
- not touching sysconfig/xntp:XNTPD_INITIAL_NTPDATE if containg
  AUTO and would be replaced with empty string (#29315)
- 2.8.5
* Wed Aug 20 2003 - jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.4
* Mon Aug 11 2003 - jsrain@suse.de
- merged text from proofread
- 2.8.3
* Wed Aug 06 2003 - jsrain@suse.de
- fixed Abort button handling
* Wed Aug 06 2003 - jsrain@suse.de
- changed internal structure (autoyast requirement)
- reporting error if xntp package installation fails
- handling double-click in the summary table
- 2.8.2
* Tue Aug 05 2003 - jsrain@suse.de
- added warning if NTP daemon set to be started at boot
- added more testsuites
- added some documentation
* Mon Aug 04 2003 - jsrain@suse.de
- added .desktop file
- 2.8.1
* Wed Jul 30 2003 - jsrain@suse.de
- not (re)starting service during autoinstallation
* Tue Jul 29 2003 - jsrain@suse.de
- adapted to udpated CWM interface
* Mon Jul 07 2003 - jsrain@suse.de
- initial version
